###################################################
### chunk number 1: Setup
###################################################
#line 46 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpdeHli4/R.INSTALL162213c0/annotate/inst/doc/GOusage.Rnw"
library("Biobase")
library("annotate")
library("xtable")
require("Rgraphviz", quietly=TRUE)
library("hgu95av2.db")
library("GO.db")


###################################################
### chunk number 2: parentrel
###################################################
#line 163 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpdeHli4/R.INSTALL162213c0/annotate/inst/doc/GOusage.Rnw"
 GOTERM$"GO:0003700"

 GOMFPARENTS$"GO:0003700"
 GOMFCHILDREN$"GO:0003700"



###################################################
### chunk number 3: locusid
###################################################
#line 200 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpdeHli4/R.INSTALL162213c0/annotate/inst/doc/GOusage.Rnw"

 ll1 = hgu95av2GO[["39613_at"]]
 length(ll1)
 sapply(ll1, function(x) x$Ontology)



###################################################
### chunk number 4: getmappings
###################################################
#line 214 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpdeHli4/R.INSTALL162213c0/annotate/inst/doc/GOusage.Rnw"

getOntology(ll1, "BP")
getEvidence(ll1)
zz = dropECode(ll1)
getEvidence(zz)



###################################################
### chunk number 5: sizeofonts
###################################################
#line 242 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpdeHli4/R.INSTALL162213c0/annotate/inst/doc/GOusage.Rnw"

 zz = eapply(GOTERM, function(x) x@Ontology)
 table(unlist(zz))



###################################################
### chunk number 6: isa-partof
###################################################
#line 252 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpdeHli4/R.INSTALL162213c0/annotate/inst/doc/GOusage.Rnw"

 BPisa = eapply(GOBPPARENTS, function(x) names(x))
 table(unlist(BPisa))

 MFisa = eapply(GOMFPARENTS, function(x) names(x))
 table(unlist(MFisa))

 CCisa = eapply(GOCCPARENTS, function(x) names(x))
 table(unlist(CCisa))



###################################################
### chunk number 7: finding these
###################################################
#line 273 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpdeHli4/R.INSTALL162213c0/annotate/inst/doc/GOusage.Rnw"
 goterms = unlist(eapply(GOTERM, function(x) x@Term))
 whmf = grep("molecular_function", goterms)


###################################################
### chunk number 8: subsetGT
###################################################
#line 282 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpdeHli4/R.INSTALL162213c0/annotate/inst/doc/GOusage.Rnw"
 goterms[whmf]



###################################################
### chunk number 9: getMF
###################################################
#line 302 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpdeHli4/R.INSTALL162213c0/annotate/inst/doc/GOusage.Rnw"
affyGO = eapply(hgu95av2GO, getOntology)
table(sapply(affyGO, length))



###################################################
### chunk number 10: getEvidence
###################################################
#line 315 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpdeHli4/R.INSTALL162213c0/annotate/inst/doc/GOusage.Rnw"
affyEv = eapply(hgu95av2GO, getEvidence)

table(unlist(affyEv, use.names=FALSE))



###################################################
### chunk number 11: dropOneEvidence
###################################################
#line 322 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpdeHli4/R.INSTALL162213c0/annotate/inst/doc/GOusage.Rnw"
test1 = eapply(hgu95av2GO, dropECode, c("IEA", "NR"))

table(unlist(sapply(test1, getEvidence),
             use.names=FALSE))


